Skip to main content
GET
/
api
/
v1
/
agents
List agents
curl --request GET \
  --url https://app.eigenpal.com/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "createdAt": "<string>",
      "description": "<string>",
      "latestVersion": "<string>",
      "latestCommit": "<string>",
      "config": {},
      "updatedAt": "<string>",
      "stats": {
        "exampleCount": 0,
        "totalExecutions": 0,
        "lastExecutionAt": "<string>",
        "avgDurationMs": 123,
        "avgCredits": 123
      }
    }
  ],
  "total": 0,
  "limit": 0,
  "offset": 0
}

Authorizations

Authorization
string
header
required

API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.

Query Parameters

Substring match against agent fields

slug
string

Return a single agent by slug

limit
integer
Required range: 1 <= x <= 100
offset
integer
Required range: 0 <= x <= 9007199254740991
includeArchived
boolean

Response

Paginated list of agents

data
object[]
required
total
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
limit
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
offset
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991